<#import "template.ftl" as layout>
<@layout.registrationLayout displayInfo=true displayMessage=!messagesPerField.existsError('username'); section>
  <#if section = "header">
    ${msg("emailForgotTitle")}
  <#elseif section = "info" >
    <#if realm.duplicateEmailsAllowed>
      ${msg("emailInstructionUsername")}
    <#else>
      ${msg("emailInstruction")}
    </#if>
  <#elseif section = "form">
    <form id="kc-reset-password-form" class="ps-container" action="${url.loginAction}" method="post">
      <div class="${properties.kcFormGroupClass!}">
        <label
          for="username"
          class="${properties.kcLabelClass!}"
        >
          <#if !realm.loginWithEmailAllowed>${msg("username")}<#elseif !realm.registrationEmailAsUsername>${msg("usernameOrEmail")}<#else>${msg("email")}</#if>
        </label>
        <input
          type="text"
          id="username"
          name="username"
          class="${properties.kcInputClass!}"
          autofocus
          value="${(auth.attemptedUsername!'')}"
          aria-invalid="<#if messagesPerField.existsError('username')>true</#if>"
        />
        <#if messagesPerField.existsError('username')>
          <span id="input-error-username" class="${properties.kcInputErrorMessageClass!}" aria-live="polite">
            ${kcSanitize(messagesPerField.get('username'))?no_esc}
          </span>
        </#if>
      </div>
      <div class="${properties.kcFormGroupClass!} ${properties.kcFormSettingClass!}">
        <div id="kc-form-buttons" class="${properties.kcFormButtonsClass!}">
          <button
            class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} ${properties.kcButtonLargeClass!}"
          >${msg("doSubmit")}</button>
        </div>
      </div>

      <div id="kc-form-options" class="${properties.kcFormOptionsClass!}">
        <div class="${properties.kcFormOptionsWrapperClass!}">
          <span><a href="${url.loginUrl}">${kcSanitize(msg("backToLogin"))?no_esc}</a></span>
        </div>
      </div>
    </form>
  </#if>
</@layout.registrationLayout>
