final: prev:
let 
  pkgs = final;
  version = "0.1";
  keycloak-account-v1 = prev.fetchMavenArtifact {
    artifactId = "keycloak-account-v1";
    groupId = "io.phasetwo.keycloak";
    inherit version;
    hash = "sha256-t4kuc5ZieqsC06/alFN0W1ktORuk36TIgKXfrmBtesA=";
  };
in
{
  # this key should be the same as the simpleFlake name attribute.
  keycloak-theme-pub-solar = {
    keycloak-theme-pub-solar = import ./pkgs/keycloak-theme-pub-solar.nix { inherit pkgs; };
    keycloak = prev.keycloak.overrideAttrs (finalAttrs: previousAttrs: {
      installPhase = previousAttrs.installPhase + ''
        ln -s ${keycloak-account-v1}/share/java/keycloak-account-v1-${version}.jar $out/providers/keycloak-account-v1-${version}.jar
      '';
    });
  };
}
